// ========= flex  ========
%flex-center-vertical {
  display: flex;
  align-items: center;
}

%flex-center-horizontal {
  display: flex;
  justify-content: center;
}
%flex-center-spacebetween-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  float: left;
}
%flex-start-spacebetween-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
%flex-center-start {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
%flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

%flex-center-column {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
%flex-start-center {
  display: flex;
  align-items: center;
}
%flex-center-row {
  display: flex;
  flex-direction: row;
  align-items: center;
}
%flex-start {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
}
%truncate {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
%pos-centered {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

%y-centered {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

%x-centered {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}
